Subject: maxima: The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled
From: Alex Vong <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 11 Nov 2017 18:50:26 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

When I start maxima, I get the following warning message:

The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled
The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled
Maxima 5.41.0 http://maxima.sourceforge.net
using Lisp GNU Common Lisp (GCL) GCL 2.6.12
Distributed under the GNU Public License. See the file COPYING.
Dedicated to the memory of William Schelter.
The function bug_report() provides bug reporting information.

Actually I encountered this problem quite a while ago after an update,
but I didn't report it since it was not fetal.

Does anyone knows what's going on?

Cheers,
Alex